/* This does what fopen() does: opens a file.  However, a file being
opened for reading is filtered thru zcat, and a file being opened
for writing is filtered thru gzip.  This way, getc() and putc()
automatically read and write compressed files.  Beware of seeks. */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "util.h"

FILE *zopen(char *name, char *mode)
{
	char *command;
	FILE *f;

	command = new_string(strlen(name) + 20);
	if (*mode == 'r') {
		sprintf(command, "zcat %s", name);
		f = popen(command, "r");
	} else if (*mode == 'w') {
		sprintf(command, "gzip > %s.gz", name);
		f = popen(command, "w");
	} else {
		f = NULL;
	}
	free(command);

	return (f);
}

void zclose(FILE *file)
{
	pclose(file);
}
